From ceedabbf77a31331026ad8f532e636fe99d75273 Mon Sep 17 00:00:00 2001
From: Xenhat Hex <me@xenh.at>
Date: Fri, 28 Jan 2022 21:23:48 -0500
Subject: [PATCH] Fix package manager detection

---
 scripts/linux_build/linux_native_build.bash | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/linux_build/linux_native_build.bash b/scripts/linux_build/linux_native_build.bash
index 4c424a98004..3fd7b55a222 100755
--- a/scripts/linux_build/linux_native_build.bash
+++ b/scripts/linux_build/linux_native_build.bash
@@ -1,5 +1,4 @@
 #!/bin/bash
-
 do_build() {
     # TODO: build inside a chroot?
     cd "${pkgname}" || exit 1
@@ -32,7 +31,8 @@ then
         fi
     else
         eval "$(</etc/lsb-release)"
-        echo "Distribution \'${DISTRIB_DESCRIPTION}\' is not currently supported by the native build script. Merge requests are welcome."
+        echo "Distribution '${DISTRIB_DESCRIPTION}' is not currently supported by the native build script. Merge requests are welcome."
+        exit 2
     fi
 fi
 do_build;
-- 
GitLab